Results 1 to 10 of 10

Thread: Apt-get won't work

  1. #1
    Join Date
    Mar 2018
    Beans
    4

    Apt-get won't work

    Well,i have just intalled an older version of Kali on my pc with dualboot.So I want to use apt-get but i get this error :
    Code:
    Ign:2 http://security.kali.org/kali-security kali/updates InRelease            
    Ign:3 http://http.kali.org/kali kali InRelease                         
    Err:4 http://repo.kali.org/kali kali-bleeding-edge InRelease                   
      403  Forbidden
    Err:5 http://security.kali.org/kali-security kali/updates Release              
      404  Not Found
    Err:6 http://http.kali.org/kali kali Release                                   
      404  Not Found
    Get:1 http://kali.mirror.garr.it/mirrors/kali kali-dev InRelease [30.4 kB]  
    Err:1 http://kali.mirror.garr.it/mirrors/kali kali-dev InRelease
      The following signatures were invalid: EXPKEYSIG ED444FF07D8D0BF6 Kali Linux Repository <devel@kali.org>
    Reading package lists... Done
    E: The repository 'http://security.kali.org/kali-security kali/updates Release' does not have a Release file.
    N: Updating from such a repository can't be done securely, and is therefore disabled by default.
    N: See apt-secure(8) manpage for repository creation and user configuration details.
    E: The repository 'http://http.kali.org/kali kali Release' does not have a Release file.
    N: Updating from such a repository can't be done securely, and is therefore disabled by default.
    N: See apt-secure(8) manpage for repository creation and user configuration details.
    W: GPG error: http://kali.mirror.garr.it/mirrors/kali kali-dev InRelease: The following signatures were invalid: EXPKEYSIG ED444FF07D8D0BF6 Kali Linux Repository <devel@kali.org>
    E: The repository 'http://http.kali.org/kali kali-dev InRelease' is not signed.
    N: Updating from such a repository can't be done securely, and is therefore disabled by default.
    N: See apt-secure(8) manpage for repository creation and user configuration details.
    Thanks for reading

  2. #2
    Join Date
    Apr 2011
    Location
    Mystletainn Kick!
    Beans
    9,313
    Distro
    Ubuntu

    Re: Apt-get won't work

    Thread moved to Ubuntu/Debian BASED
    Splat Double Splat Triple Splat
    Earn Your Keep
    Don't mind me, I'm only passing through.
    Once in a blue moon, I'm actually helpful
    .

  3. #3
    Join Date
    Mar 2018
    Beans
    4

    Re: Apt-get won't work

    Thanks for correcting.

  4. #4
    Join Date
    Feb 2010
    Location
    Summerwind
    Beans
    13,052
    Distro
    Ubuntu Development Release

    Re: Apt-get won't work

    Is the release still supported ? If not the repositories may be closed .
    “Start where you are. Use what you have. Do what you can".

    Ubuntu Documentation Search: Popular Pages
    Ubuntu: Security Basics
    Ubuntu: Manual

  5. #5
    Join Date
    Aug 2016
    Location
    Wandering
    Beans
    Hidden!
    Distro
    Xubuntu Development Release

    Re: Apt-get won't work

    Quote Originally Posted by Frogs Hair View Post
    Is the release still supported ? If not the repositories may be closed .
    +1 They are! (Closed)
    With realization of one's own potential and self-confidence in one's ability, one can build a better world.
    Dalai Lama>>
    Code Tags

  6. #6
    Join Date
    Mar 2018
    Beans
    4

    Re: Apt-get won't work

    It's the 2017.2 release.And what can I do?Since the newer version won't work for me.

  7. #7
    Join Date
    Aug 2016
    Location
    Wandering
    Beans
    Hidden!
    Distro
    Xubuntu Development Release

    Re: Apt-get won't work

    Kali is going the rolling update route which explains why older builds source lists do not work.

    http://http.kali.org/README.mirrorlist

    **You may find it "wise" to first ask here: https://forums.kali.org/forum.php
    With realization of one's own potential and self-confidence in one's ability, one can build a better world.
    Dalai Lama>>
    Code Tags

  8. #8
    Join Date
    Sep 2005
    Location
    Phelan, Calif.
    Beans
    66
    Distro
    Ubuntu Mate

    Re: Apt-get won't work


  9. #9
    Join Date
    Jul 2007
    Location
    Magic City of the Plains
    Beans
    Hidden!
    Distro
    Xubuntu 18.04 Bionic Beaver

    Re: Apt-get won't work

    Quote Originally Posted by alarewyn View Post
    Well,i have just intalled an older version of Kali on my pc with dualboot.
    Not sure why you would do that--have you seen https://docs.kali.org/introduction/s...use-kali-linux ?

  10. #10
    Join Date
    Jan 2018
    Beans
    140

    Re: Apt-get won't work

    I would suggest you install a recent copy of Kali and all your problems will be gone.

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •